www-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim Ellison <t.p.elli...@gmail.com>
Subject Re: Minerva - Hudson slave will be down for a few days
Date Wed, 08 Dec 2010 14:52:38 GMT
On 08/Dec/2010 12:54, Niklas Gustavsson wrote:
> On Wed, Dec 8, 2010 at 1:42 PM, Tim Ellison <t.p.ellison@gmail.com> wrote:
>> Can you confirm that Minerva has /home/hudson/tools/ant/latest defined?
>>  Harmony builds are failing (and I no longer have an account to go fix
>> things).
> 
> Yes, it should be:
> $ ls /home/hudson/tools/ant/latest
> bin  docs  etc	fetch.xml  get-m2.xml  INSTALL	KEYS  lib  LICENSE
> NOTICE  README  WHATSNEW

The build seems to run ok if I use a job configuration of
  Ant Version: Ant (latest)
but not if I use
  Ant Version: (Default)

which produces
[harmony] $ ant bundle-src clean fetch-depends snapshot
FATAL: command execution failed.Maybe you need to configure the job to
choose one of your Ant installations?
java.io.IOException: Cannot run program "ant" (in directory
"/home/hudson/hudson-slave/workspace/Harmony-1.5-head-linux-x86_64/harmony"):
java.io.IOException: error=2, No such file or directory

Minerva should pick up the default tools locations.

Which installation of Ant is considered the "Default"?  Is it looking
for a system version on the path?

Regards,
Tim

Mime
View raw message